=== debian/changelog ===
fgetty (0.7-12) unstable; urgency=medium

  * QA upload.
  * Add libcrypt-dev to Build-Depends (Closes: #1106951)
  * Drop obsolete get-orig-source rule
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.2
  * Bump d/watch to v4

 -- Alexandre Detiste <tchet@debian.org>  Wed, 26 Nov 2025 11:30:11 +0100

fgetty (0.7-11) unstable; urgency=medium

  * Team upload.
  * Move to unstable.

 -- Bastian Germann <bage@debian.org>  Tue, 07 May 2024 11:53:52 +0000

fgetty (0.7-10) experimental; urgency=medium

  * QA upload.
  * Drop dietlibc.

 -- Bastian Germann <bage@debian.org>  Wed, 27 Mar 2024 21:59:23 +0000

fgetty (0.7-9) unstable; urgency=medium

  * QA upload.
  * Address compiler warnings. (Closes: #1066518)

 -- Bastian Germann <bage@debian.org>  Tue, 26 Mar 2024 00:32:16 +0000

fgetty (0.7-8) unstable; urgency=medium

  * QA upload.
  * Move files into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 Nov 2023 13:44:43 +0100

fgetty (0.7-7) unstable; urgency=medium

  * QA upload.

  [ Francisco M Neto <fmneto@gmail.com> ]
  * Add minimal metadata file
  * Add two superficial autopkgtests
  * Bump DH version to 13
  * Set Rules-Requires-Root to no
  * Fix spelling error in patch-link-checkpassword
  * Set maintainer to QA Group (see #947640)

  [ Lorenzo Puliti ]
  * Bump SV to 4.5.1, no changes required
  * d/control: Add shlibs:Depends (Closes: #969063)
    +  Thanks to Aurelien Jarno <aurel32@debian.org>
  * Cleanup unused lintian overrides

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 12 Dec 2020 22:45:28 +0100

fgetty (0.7-6) unstable; urgency=medium

  * [36e294ed] Add Gitlab CI config file
  * [ef249e30] Round-trip patches with gbp-pq
  * [9f77ba49] Make upstream build system respect CFLAGS

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 12 May 2019 05:46:45 +0000

fgetty (0.7-5) unstable; urgency=medium

  * Install private binaries into /usr/libexec, not /lib
  * Fix incorrect keystroke interpretation (Closes: #833116)
  * Make upstream signing key minimal
  * Update standards version to 4.3.0 (no changes needed)
  * Fix segfault in checkpassword(1)

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 07 Jan 2019 20:35:25 +0000

fgetty (0.7-4) unstable; urgency=medium

  * Update maintainer email.
  * Update standards version to 4.2.1 (no changes needed)
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Update Vcs-* fields in debian/control.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 24 Nov 2018 20:22:09 +0000

fgetty (0.7-3) unstable; urgency=medium

  * Acknowledge NMU
  * Bump debhelper version to 11
  * Install upstream changelog
  * Remove forgotten debian/fgetty.lintian from source package
  * Use DEB_BUILD_MAINT_OPTIONS instead DEB_BUILD_OPTIONS. Later
    is meant to be used by user, rebuilding package.
  * Update Vcs-* fields in debian/control.
  * Update standards version to 4.1.3 (no changes needed)
  * Use secure URL when in debian/changelog `Format` field

 -- Dmitry Bogatov <KAction@gnu.org>  Wed, 14 Feb 2018 21:46:27 +0300

fgetty (0.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc 7. (Closes: #853400)

 -- Adrian Bunk <bunk@debian.org>  Fri, 18 Aug 2017 16:29:47 +0300

fgetty (0.7-2) unstable; urgency=medium

  * Add dietlibc-dev into Built-Using, since it is linked statically,
    as mandated by Policy §7.8. (Closes: #847576)
  * Remove outdated version specification on dietlibc-dev build-dependency.
  * Bump standards version to 3.9.8. No changes needed.
  * Use secure git url

 -- Dmitry Bogatov <KAction@gnu.org>  Fri, 09 Dec 2016 23:38:01 +0300

fgetty (0.7-1) unstable; urgency=medium

  * New maintainer
  * New upstream release
  * Add watch file with GPG key verification
  * Add source/format to follow v3.0 source package format
  * Use debhelper instead of custom debian/rules
  * Drop checkpassword-pam. Upstream does not support it, and once written,
    but is not maintained anymore. Averaged desktop setup should not
    need anyway.
  * Remove outdated README.Debian
  * Reformat debian/copyright to follow DEP-5
  * Link checkpassword with gnu libc (Closes: #563335) with hardening
  * Add lintian overrides about static build and lack of dependencies
  * New standards version -- 3.9.7 (No changes needed)
  * Disable automatic generation of debug packages, since most binaries
    in package are static linked without any debug information.
  * Install `login1' and `login2' binaries into private directory,
    since they are never invoked directly. It replaces `fgetty-login.diff'
    patch.
  * Drop `ro-diff.patch', since it is not needed with default Debian
    installation.

 -- Dmitry Bogatov <KAction@gnu.org>  Fri, 12 Feb 2016 11:51:39 +0300

fgetty (0.6-5) unstable; urgency=low

  * debian/implicit: add proper dependencies to support 'parallel build'
    through make -j (thx Daniel Schepler for the patch).
  * debian/rules: target build: pass LDFLAGS= to make to prevent upstream
    install target to strip programs (closes: #436834).

 -- Gerrit Pape <pape@smarden.org>  Tue, 11 Dec 2007 10:50:49 +0000

fgetty (0.6-4) unstable; urgency=low

  * debian/diff/cvs-20041118.diff: new; upstream CVS from 20041118.
  * debian/diff/fgetty-login.diff, debian/diff/nostrip.diff: adapt.
  * debian/diff/ro-dev.diff: print warning if chown/chmod of tty device
    fails due to readonly filesystem.

 -- Gerrit Pape <pape@smarden.org>  Mon, 13 Nov 2006 20:36:35 +0000

fgetty (0.6-3) unstable; urgency=low

  * debian/rules: cleanup.
  * debian/implicit: update to revision 1.10.
  * debian/copyright: update upstream URL.
  * debian/control: Build-Depends: dietlibc-dev (>> 0.28-0) to make diet
    compiled programs work with a kernel with stack protection (thx Csillag
    Tamas, closes: 299550).

 -- Gerrit Pape <pape@smarden.org>  Sun, 20 Mar 2005 19:50:33 +0000

fgetty (0.6-2) unstable; urgency=low


