=== debian/control ===
Source: fgetty
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libc-dev (>= 2.38),
 libcrypt-dev,
Standards-Version: 4.7.2
Homepage: https://www.fefe.de/fgetty
Vcs-Browser: https://salsa.debian.org/debian/fgetty
Vcs-Git: https://salsa.debian.org/debian/fgetty.git

Package: fgetty
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: very small, efficient, console-only getty and login
 fgetty is a small, efficient, console-only getty for Linux.
 It is derived from mingetty.
 .
 fgetty includes a login program that supports the checkpassword
 authentication interface, and also a checkpassword program that uses the
 standard C library interface to passwd and shadow.
