=== debian/rules ===
#!/usr/bin/make -f

export DEB_CPPFLAGS_MAINT_APPEND = -I.
export DEB_LDFLAGS_MAINT_APPEND = -lcrypt
export DEB_BUILD_MAINT_OPTIONS += hardening=+all
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs CHANGES
