=== debian/tests/control ===
Test-Command: fgetty |& grep usage
Restrictions:
 allow-stderr,
 needs-root,
 superficial,
Depends:
 @,

Test-Command: fgetty /dev/tty |& grep fgetty
Restrictions:
 allow-stderr,
 needs-root,
 superficial,
Depends:
 @,
