=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/" \
	https://www.fefe.de/fgetty/fgetty-([.0-9]+).tar.bz2
